#! /bin/bash
######################################################################
# ClearCase / Rhapsody  
#
# Licensed Materials - Property of IBM
# Rational ClearCase
# (C) Copyright IBM Corp. 2013. All Rights Reserved.
# US Government Users Restricted Rights
# Use, duplication or disclosure restricted by GSA ADP Schedule 
# Contract with IBM Corp.
# 
# This file contains a lookup for a Rhapsody diff/merge tool executables.
# If found the execututables will be executed.
######################################################################

executable="diffmerge.exe"

if [ -n "$CCASE_RHAPSODY_BIN" ] ; then
    prog_path="$CCASE_RHAPSODY_BIN"/"$executable"
else
    prog_path=`which $executable 2> /dev/null`
fi

if [ -z "$prog_path" ] ; then
        echo "Cannot find Rhapsody tool directory."
        exit 1
fi

$prog_path "$@"

